Subject: Re: [PATCH 2/2] git: continue alias lookup on EACCES errors

From: "Frans Klaver" <[email-masked]>
Date: Thu, 29 Mar 2012 19:23:12 +0200

On Thu, 29 Mar 2012 19:20:33 +0200, Jeff King <[email-masked]> wrote:

> On Thu, Mar 29, 2012 at 01:31:09PM +0200, Frans Klaver wrote:
>
>> On Wed, Mar 28, 2012 at 11:57 PM, Jeff King <[email-masked]> wrote:
>>
>> > +static int exists_in_PATH(const char *file)
>> [...]
>>
>> I expect that if more post-mortem checking is done, this function is
>> going to need a sibling that provides you with the first found entry
>> in PATH, so you can do more checks on it.
>
> It should be easy to write it that way. I'm not personally planning on
> adding more checks, but I think it's worth considering future additions.

I have some similar code lying around. It shouldn't be too hard to rebase  
that on top of this.

>> One of the things I ran into while working on [1] is that quite some
>> errors that are produced can also be caused by the interpreter.
>
> Yeah, they can be confusing and hard to track down. I'll leave that
> topic out of this round, and you can build on it if you like.

I was planning to do that, yea.